mypermissions_urls = null;

function MyPermissions_Urls() {
	var self = this;
	mypermissions_urls = self;

	mypermissions_urls._setExtensionVersion(kango.getExtensionInfo().version);
}

MyPermissions_Urls.prototype = {	
	_extensionType : kango.browser.getName(),
	_extensionVersion : null,

	_serverHost : "mypermissions.com",
	_serverScheme : "https",

    _apiVersion : "v1",

    _setExtensionVersion : function(version) {
    	var self = this;
    	self._extensionVersion = version;
    },

    getServerBaseUrl : function() {
    	return this._serverScheme + "://" + this._serverHost;
  	},

	getCleanServerUrl : function (path, params) {
    	var u = this._serverUrl + path;
    	if (params && params != "") {
      	u += "&" + params;
    	}

    	return u;
  	},

	getServerUrl : function(path, params) {
		var u = this.getServerBaseUrl() + path + "?et=" + this._extensionType + "&ev=" + this._extensionVersion;
		if (params && params != "") {
			u += "&" + params;
		}

		return u;
	},

	getAPIUrl : function(path, params) {
		var u = this.getServerBaseUrl() + "/api/" + this._apiVersion + "/" + path + "?et=" + this._extensionType + "&ev=" + this._extensionVersion;
		if (params && params != "") {
			u += "&" + params
		}

		return u;
	},

	getTrackUrl : function(path, params) {
		var u = this.getServerBaseUrl() + "/api/" + this._apiVersion + "/t/" + path + "?et=" + this._extensionType + "&ev=" + this._extensionVersion;
		if (params && params != "") {
			u += "&" + params
		}

		return u;	
	}
}

new MyPermissions_Urls();