mypermissions_messages = null;


function MyPermissions_Messages() {
	var self = this;

	mypermissions_notify = self;

	self.init();
}

MyPermissions_Messages.prototype = {
	init : function() {
		var self = this;
		setInterval( function() {
			var token = mypermissions_user.getToken();
			var installId = mypermissions_user.getInstallId();
			var r = (Math.random() * 1000);

			params = "t=" + token + "&ii=" + installId + "&_r=" + r;

			var url = mypermissions_urls.getAPIUrl("messages", params)
			var details = {
		    	url: url,
				method: 'GET',
				async: true,
				contentType: 'json'
			}

			kango.xhr.send(details, function(data) {
				if (data.status == 200) {
					var iconUrl = null;
					if (typeof(safari) != 'undefined') {
						iconUrl = safari.extension.baseURI + "resources/icon48.png";
					} else if (typeof(chrome) != 'undefined') {
						iconUrl = mypermissions_urls.getServerUrl("/static/img/icon48.png");
					} else {
						iconUrl = mypermissions_urls.getServerUrl("/static/img/icon48.png");
					}

					for (var i = 0; i < data.response.messages.length; i++) {
						var m = data.response.messages[i];
						var clickUrl = m.url;
						if (clickUrl.indexOf("/") == 0) {
							clickUrl = mypermissions_urls.getServerUrl(clickUrl);
						}

						var icon = null;
						if (typeof(m.icon) != "undefined" && m.icon) {
							icon = m.icon;
						} else {
							icon = iconUrl;
						}

						var notification = kango.ui.notifications.createNotification(m.title, m.text, icon);
						notification.addEventListener(notification.event.Click, function() {
						        kango.console.log('Notification click');
						        //{'url': clickUrl }
						        kango.browser.tabs.create({ "url": clickUrl, "focused": true });
						});

						notification.addEventListener(notification.event.Show, function() {
						        kango.console.log('Notification show');
						});

						notification.addEventListener(notification.event.Close, function() {
						        kango.console.log('Notification close');
						});

						notification.show();
					}
				}
			});
		}
		, 1000 * 30); // 30 seconds
	}
}

new MyPermissions_Messages();