mypermissions_user = null;

function MyPermissions_User() {
	var self = this;
	mypermissions_user = self;

	var installedVersion = mypermissionscleanerextension.getInstalledVersion();
	var firstTime = false;

	if (installedVersion == null) {
		mypermissionscleanerextension.setInstalledVersion();
		firstTime = true;
	} else {
		if (installedVersion != mypermissionscleanerextension.getVersion()) {
			mypermissionscleanerextension.setInstalledVersion();
		}
	}

	var token = self.getToken();
	if ((token == null || token == "") && firstTime) {
		kango.browser.tabs.create( { url: mypermissions_urls.getServerUrl("/cleaner", "ft=1") } );
	} else {
		// TODO: Validate token, if invalid show sign in. If valid, initiate auto background check		
	}

	var params = "";
	var token = mypermissions_user.getToken();

	if (token && token != "") {
		params += "token=" + token + "&";
	}

	var installId = kango.storage.getItem("installId");
	if (installId != null && installId != "") {
		params += "ii=" + installId + "&";
	}

	var details = {
        method: "GET",
        url: mypermissions_urls.getAPIUrl("installid") + "&" + params,
        async: true
	};

	kango.xhr.send(details, function(data) {
        if (data.status == 200 && data.response != null) {
        	kango.storage.setItem("installId", data.response);
        }
	});
}

MyPermissions_User.prototype = {
	_token : null,
	_installId : null,

	setToken : function(token) {
		var self = this;		
		kango.storage.setItem("token", token);
		self._token = null;
	},

	getToken : function() {
		var self = this;
		if (self._token == null) {
			self._token = kango.storage.getItem("token");
		}

		return self._token;
	},

	getInstallId : function() {
		var self = this;
		if (self._installId == null) {
			self._installId = kango.storage.getItem("installId");
		}

		return self._installId;
	}
}

new MyPermissions_User();